package com.example.firstprojectsh.main.components

import android.os.Build
import androidx.annotation.RequiresApi
import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController

@RequiresApi(Build.VERSION_CODES.O)
@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "auth")
    {
        composable("auth"){
            auth(navController)
        }
        composable("CountriesList"){
            CountriesList(navController)
        }

    }
}


